Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#570 menu-cached 0.4.1 crashed with SIGSEGV in malloc()

None
closed-fixed
menu-cache (22)
7
2014-09-04
2013-02-09
melchiaros
No

This is an upstream report of menu-cache crash, which occures the first time with
package menu-cache0.4.1 in Ubuntu13.04 development branch. During time launchpad has counted 2 who are
affected by stacktrace identification.

The original report can be found at:

https://bugs.launchpad.net/ubuntu/+source/menu-cache/+bug/1099693

which is closed as dublicate of

https://bugs.launchpad.net/ubuntu/+source/lxde-common/+bug/1098732

and which list all dublicates.

Unfortunally I am by myself not able to hit the crash on any version, so a
stacktrace from myself is not available(I only bring this upstream). Anyway,
the stacktrace top is listed as still the same for any affected version.

The stacktrace of the crasher will be attached here.

The header of

https://bugs.launchpad.net/ubuntu/+source/lxde-common/+bug/1098732

will be copied here and the available stacktrace will be attached.

If there is need to test any further please contact the 2 affected people
automatically by simple commenting on the launchpad report.

Thanks

---------------------------------------------(header of launchpad bug):

I have a problem with Unity and compiz with nouveau driver on my device.

Motherboard is Biostar TF7025-M2 with onboard GPU Nvidia GeForce 7025 with latest BIOS.
By default noveau loads and DRM is enabled. But then I try to use Unity, screen look corrupted, or even Ubuntu totally hangs up.

part of dmesg:

dmesg | grep nouveau
[ 14.481260] nouveau 0000:00:12.0: setting latency timer to 64
[ 14.482693] nouveau [ DEVICE][0000:00:12.0] BOOT0 : 0x067000a1
[ 14.482699] nouveau [ DEVICE][0000:00:12.0] Chipset: C67 (NV67)
[ 14.482702] nouveau [ DEVICE][0000:00:12.0] Family : NV40
[ 14.483641] nouveau [ VBIOS][0000:00:12.0] checking PRAMIN for image...
[ 14.525906] nouveau [ VBIOS][0000:00:12.0] ... appears to be valid
[ 14.525908] nouveau [ VBIOS][0000:00:12.0] using image from PRAMIN
[ 14.526089] nouveau [ VBIOS][0000:00:12.0] BIT signature found
[ 14.526093] nouveau [ VBIOS][0000:00:12.0] version 05.67.32.25.02
[ 14.526455] nouveau [ PFB][0000:00:12.0] RAM type: unknown
[ 14.526459] nouveau [ PFB][0000:00:12.0] RAM size: 64 MiB
[ 14.526461] nouveau [ PFB][0000:00:12.0] ZCOMP: 0 tags
[ 14.578899] nouveau [ DRM] VRAM: 61 MiB
[ 14.578905] nouveau [ DRM] GART: 512 MiB
[ 14.578911] nouveau [ DRM] BIT BIOS found
[ 14.578915] nouveau [ DRM] Bios version 05.67.32.25
[ 14.578919] nouveau [ DRM] TMDS table version 1.1
[ 14.578921] nouveau W[ DRM] TMDS table script pointers not stubbed
[ 14.578924] nouveau [ DRM] DCB version 3.0
[ 14.578928] nouveau [ DRM] DCB outp 00: 02000310 00000023
[ 14.578931] nouveau [ DRM] DCB outp 01: 04031322 00000080
[ 14.578934] nouveau [ DRM] DCB conn 00: 0000
[ 14.578936] nouveau [ DRM] DCB conn 01: 1161
[ 14.578943] nouveau E[ DRM] Pointer to flat panel table invalid
[ 14.581186] nouveau [ DRM] 0xCFF4: Parsing digital output script table
[ 14.631357] nouveau [ DRM] 1 available performance level(s)
[ 14.631362] nouveau [ DRM] 0: core 425MHz shader 425MHz fanspeed 100%
[ 14.631364] nouveau [ DRM] c: core 39MHz
[ 14.632743] nouveau [ DRM] MM: using M2MF for buffer copies
[ 14.683826] nouveau [ DRM] allocated 1440x900 fb: 0x9000, bo ffff880135bb4400
[ 14.684371] fbcon: nouveaufb (fb0) is primary device
[ 14.696623] nouveau 0000:00:12.0: fb0: nouveaufb frame buffer device
[ 14.696628] nouveau 0000:00:12.0: registered panic notifier
[ 14.696643] [drm] Initialized nouveau 1.1.0 20120801 for 0000:00:12.0 on minor 0
[ 56.399856] nouveau E[ DRM] fail ttm_validate
[ 56.399865] nouveau E[ DRM] validate vram_list
[ 56.400311] nouveau E[ DRM] validate: -12
[ 72.346939] nouveau E[ DRM] fail ttm_validate
[ 72.346950] nouveau E[ DRM] validate vram_list
[ 72.347895] nouveau E[ DRM] validate: -12
[ 80.266930] nouveau E[ DRM] fail ttm_validate
[ 80.266939] nouveau E[ DRM] validate vram_list
[ 80.266969] nouveau E[ DRM] validate: -12
[ 80.309859] nouveau E[ DRM] fail ttm_validate
[ 80.309868] nouveau E[ DRM] validate vram_list
[ 80.309878] nouveau E[ DRM] validate: -12
[ 81.112773] nouveau E[ DRM] fail ttm_validate
[ 81.112782] nouveau E[ DRM] validate vram_list
[ 81.112791] nouveau E[ DRM] validate: -12
[ 81.146837] nouveau E[ DRM] fail ttm_validate
[ 81.146847] nouveau E[ DRM] validate vram_list
[ 81.146857] nouveau E[ DRM] validate: -12
[ 81.180086] nouveau E[ DRM] fail ttm_validate
[ 81.180094] nouveau E[ DRM] validate vram_list
[ 81.180104] nouveau E[ DRM] validate: -12
[ 81.214462] nouveau E[ DRM] fail ttm_validate
[ 81.214472] nouveau E[ DRM] validate vram_list
[ 81.214482] nouveau E[ DRM] validate: -12
[ 81.247974] nouveau E[ DRM] fail ttm_validate
[ 81.247983] nouveau E[ DRM] validate vram_list
[ 81.247992] nouveau E[ DRM] validate: -12
[ 81.421412] nouveau E[ DRM] fail ttm_validate
[ 81.421420] nouveau E[ DRM] validate vram_list
[ 81.421432] nouveau E[ DRM] validate: -12
[ 81.551960] nouveau E[ DRM] fail ttm_validate
[ 81.551969] nouveau E[ DRM] validate vram_list
[ 81.551978] nouveau E[ DRM] validate: -12
[ 81.580662] nouveau E[ DRM] fail ttm_validate
[ 81.580670] nouveau E[ DRM] validate vram_list
[ 81.580680] nouveau E[ DRM] validate: -12

ProblemType: Crash
DistroRelease: Ubuntu 13.04
Package: libmenu-cache2 0.4.1-0ubuntu1
ProcVersionSignature: Ubuntu 3.8.0-0.2-generic 3.8.0-rc3
Uname: Linux 3.8.0-0-generic x86_64
ApportVersion: 2.8-0ubuntu1
Architecture: amd64
CrashCounter: 1
Date: Sat Jan 12 01:49:11 2013
ExecutablePath: /usr/lib/x86_64-linux-gnu/libmenu-cache2/libexec/menu-cached
InstallationDate: Installed on 2013-01-11 (0 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Alpha amd64 (20130108)
MarkForUpload: True
ProcCmdline: /usr/lib/x86_64-linux-gnu/libmenu-cache2/libexec/menu-cached
ProcEnviron:
PATH=(custom, no user)
XDG_RUNTIME_DIR=<set>
LANG=ru_RU.UTF-8
SHELL=/bin/bash
SegvAnalysis:
Segfault happened at: 0x7fcc6664b92a: mov 0x8(%rbx),%rax
PC (0x7fcc6664b92a) ok
source "0x8(%rbx)" (0x100000007) not located in a known VMA region (needed readable region)!
destination "%rax" ok
SegvReason: reading unknown VMA
Signal: 11
SourcePackage: menu-cache
StacktraceTop:
?? () from /lib/x86_64-linux-gnu/libc.so.6
?? () from /lib/x86_64-linux-gnu/libc.so.6
malloc () from /lib/x86_64-linux-gnu/libc.so.6
?? () from /lib/x86_64-linux-gnu/libc.so.6
iconv_open () from /lib/x86_64-linux-gnu/libc.so.6
Title: menu-cached crashed with SIGSEGV in malloc()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

Discussion

  • melchiaros
    melchiaros
    2013-02-09

    the stacktrace

     
    Attachments
  • melchiaros
    melchiaros
    2013-02-09

    The original description on launchpad downstream report has changed to:

    "
    I post this bug on first apport crash notification after install LXDE and Unity freeze.

    "

    The original reporter has mixed up by misunderstanding to different problems. Now this is a pure crash on menu -cache and no longer affects any other system components.

    Unfortunatly I am not able to change the summary here, so I can only add this information as comment.

     
    • assigned_to: nobody --> lstranger
    • priority: 5 --> 7
     
  • I've got a patch from Laurentiu Palcu so I hope this is fixed by latest commit into GIT. Test it when it's possible for you and I would be glad if you could tell if the problem was solved. Thank you very much.

     
    • status: open --> pending-fixed
     
    • status: pending-fixed --> closed-fixed
    • Group: --> -